Subject: Re: editor virtual package

From: Yves Arrouye <[email-masked]>
Date: Sun, 4 Aug 1996 13:07:42 +0200

On Aug 2, 11:17am, Dale Scheetz wrote:
} Subject: Re: New virtual package names.
} On Fri, 2 Aug 1996, Warwick HARVEY wrote:
} 
} > > On another note, is there an editor virtual package? Is there any interest
} > > in adding one? It could be valuable to add Provides: editor to ae (and
} > > others as well).
} > 
} > What would it be used for?  Are there packages that depend on having an
} > editor, or for which it would be appropriate to recommend one (and have any
} > old editor serve the purpose)?  If so, no problem...
} > 
} Here is a better reason:
} 
} I'd like to be able to remove `ae', but it won't deinstall.  It should
} be possible to remove ANY package if I really want to.  I don't like
} it when I'm treated like a child by the packaging system.

It could be nice to have packages providing editor to also update
an `editor' binary with update-alternative. This way, base packages
(or packages like quota) which actually default to 'ae' or 'vi' when
VISUAL or EDITOR are not set would default to 'editor'.

Talking about that, I think the packages could even provide editor *and/or*
visual, so that other programs could do something like:

	ed = getenv("VISUAL");
	if (!ed || !*ed) ed = getenv("EDITOR");
	if (!ed || !*ed) ed = "visual";
	if (!found_in_path(ed)) ed = "editor";

to choose an editor to use.

Yves.

--